Package org.codehaus.groovy.vmplugin.v7

# Class CacheableCallSite

java.lang.Object
java.lang.invoke.CallSite
java.lang.invoke.MutableCallSite
org.codehaus.groovy.vmplugin.v7.CacheableCallSite

    @Deprecated
    public class CacheableCallSite
    extends java.lang.invoke.MutableCallSite

Deprecated.
Represents a cacheable call site, which can reduce the cost of resolving methods

Since:
  3.0.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CacheableCallSite​(java.lang.invoke.MethodType type)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper` | `getAndPut​(java.lang.String className, MemoizeCache.ValueProvider<? super java.lang.String,​? extends org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper> valueProvider)` | Deprecated.
  `java.lang.invoke.MethodHandle` | `getDefaultTarget()` | Deprecated.
  `java.lang.invoke.MethodHandle` | `getFallbackTarget()` | Deprecated.
  `long` | `incrementFallbackCount()` | Deprecated.
  `org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper` | `put​(java.lang.String name, org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper mhw)` | Deprecated.
  `void` | `resetFallbackCount()` | Deprecated.
  `void` | `setDefaultTarget​(java.lang.invoke.MethodHandle defaultTarget)` | Deprecated.
  `void` | `setFallbackTarget​(java.lang.invoke.MethodHandle fallbackTarget)` | Deprecated.

  ### Methods inherited from class java.lang.invoke.MutableCallSite

  `dynamicInvoker, getTarget, setTarget, syncAll`

  ### Methods inherited from class java.lang.invoke.CallSite

  `type`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CacheableCallSite

    public CacheableCallSite​(java.lang.invoke.MethodType type)
    Deprecated.

- ## Method Details

  - ### getAndPut

    public org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper getAndPut​(java.lang.String className, MemoizeCache.ValueProvider<? super java.lang.String,​? extends org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper> valueProvider)
    Deprecated.

  - ### put

    public org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper put​(java.lang.String name, org.codehaus.groovy.vmplugin.v7.MethodHandleWrapper mhw)
    Deprecated.

  - ### incrementFallbackCount

    public long incrementFallbackCount()
    Deprecated.

  - ### resetFallbackCount

    public void resetFallbackCount()
    Deprecated.

  - ### getDefaultTarget

    public java.lang.invoke.MethodHandle getDefaultTarget()
    Deprecated.

  - ### setDefaultTarget

    public void setDefaultTarget​(java.lang.invoke.MethodHandle defaultTarget)
    Deprecated.

  - ### getFallbackTarget

    public java.lang.invoke.MethodHandle getFallbackTarget()
    Deprecated.

  - ### setFallbackTarget

    public void setFallbackTarget​(java.lang.invoke.MethodHandle fallbackTarget)
    Deprecated.